﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using Telerik.Windows.Controls;

namespace TelerikSpeechRecognitionSampleApp.SpeechHandlers
{
    public class PreviousNextSpeechHandler : ISpeechInputHandler
    {

        private const string NEXT_PHOTOS = "next";
        private const string PREVIOUS_PHOTOS = "previous";

        public bool CanHandleInput(string input)
        {
            return true;
        }

        public void HandleInput(FrameworkElement target, string input)
        {
            if (string.Compare(NEXT_PHOTOS, input, StringComparison.InvariantCultureIgnoreCase) == 0)
            {

                RadSlideView sv = target as RadSlideView;
                sv.MoveToNextItem();
                Telerik.Windows.Controls.SpeechManager.StartListening();

            }

            if (string.Compare(PREVIOUS_PHOTOS, input, StringComparison.InvariantCultureIgnoreCase) == 0)
            {
                RadSlideView sv = target as RadSlideView;
                sv.MoveToPreviousItem();
                Telerik.Windows.Controls.SpeechManager.StartListening();
            }
        }

        public void NotifyInputError(FrameworkElement target)
        {
            MessageBox.Show("Error");

        }
    }

}
